{
    "name": "red_bus_backend",
    "version": "0.0.1",
    "description": "",
    "engines": {
        "node": ">=16.6.0",
        "npm": ">=8.11.0"
    },
    "main": "dist/server.js",
    "scripts": {
        "prebuild": "yarn tsc",
        "build": "yarn swagger-autogen",
        "start": "node dist/server.js",
        "dev": "concurrently \"npx tsc --watch\" \"nodemon -q dist/server.js\"",
        "test": "jest -o",
        "format:check": "prettier --check . --ignore-path .gitignore",
        "format:write": "prettier --write . --ignore-path .gitignore",
        "lint:check": "eslint .",
        "lint:fix": "eslint --fix .",
        "swagger-autogen": "node dist/swagger.js",
        "test:ci": "jest --config ./jest.config.js --collectCoverage --coverageDirectory=\"./coverage\" --ci --reporters=default --reporters=jest-junit --watchAll=false",
        "prepare": "husky install"
    },
    "lint-staged": {
        "*": "yarn lint:check"
    },
    "keywords": [],
    "author": "Murugappan m",
    "license": "ISC",
    "dependencies": {
        "bcryptjs": "^2.4.3",
        "dotenv": "^16.0.1",
        "express": "^4.18.1",
        "express-validator": "^6.14.2",
        "jsonwebtoken": "^8.5.1",
        "mongoose": "^6.5.1",
        "swagger-ui-express": "^4.5.0"
    },
    "devDependencies": {
        "@babel/preset-env": "^7.18.10",
        "@babel/preset-typescript": "^7.18.6",
        "@types/bcryptjs": "^2.4.2",
        "@types/express": "^4.17.13",
        "@types/jest": "^28.1.7",
        "@types/jsonwebtoken": "^8.5.8",
        "@types/node": "^18.7.1",
        "@types/supertest": "^2.0.12",
        "@types/swagger-ui-express": "^4.1.3",
        "@typescript-eslint/eslint-plugin": "^5.33.1",
        "@typescript-eslint/parser": "^5.33.1",
        "concurrently": "^7.3.0",
        "eslint": "^8.22.0",
        "eslint-config-prettier": "^8.5.0",
        "eslint-plugin-jest": "^26.8.7",
        "eslint-plugin-unused-imports": "^2.0.0",
        "husky": "^8.0.1",
        "jest": "^28.1.3",
        "jest-junit": "^14.0.0",
        "lint-staged": "^13.0.3",
        "mongodb-memory-server": "^8.8.0",
        "nodemon": "^2.0.19",
        "prettier": "^2.7.1",
        "supertest": "^6.2.4",
        "swagger-autogen": "^2.21.5",
        "typescript": "^4.7.4"
    }
}
